Bug 1000821 - SELinux is preventing /usr/bin/totem-video-thumbnailer from 'append' accesses on the file /home/david/.config/oxygen-gtk/argb-apps.conf. [NEEDINFO]
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'append' accesses...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:33a64bd41fbc9c9fedd913806b7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-25 13:01 EDT by david sutherland
Modified: 2013-10-25 09:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 09:21:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lvrabec: needinfo? (tucnadave)


Attachments (Terms of Use)

  None (edit)
Description david sutherland 2013-08-25 13:01:42 EDT
Description of problem:
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'append' accesses on the file /home/david/.config/oxygen-gtk/argb-apps.conf.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that totem-video-thumbnailer should be allowed append access on the argb-apps.conf file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep totem-video-thu /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:config_home_t:s0
Target Objects                /home/david/.config/oxygen-gtk/argb-apps.conf [
                              file ]
Source                        totem-video-thu
Source Path                   /usr/bin/totem-video-thumbnailer
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           totem-3.6.3-2.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-100.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.10.9-100.fc18.x86_64 #1 SMP Wed
                              Aug 21 18:25:04 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-08-24 18:47:42 PDT
Last Seen                     2013-08-24 18:47:42 PDT
Local ID                      01e6decc-0ee7-4b7b-8e6f-38337568c681

Raw Audit Messages
type=AVC msg=audit(1377395262.881:487): avc:  denied  { append } for  pid=19023 comm="totem-video-thu" name="argb-apps.conf" dev="md125" ino=5243653 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:config_home_t:s0 tclass=file


type=SYSCALL msg=audit(1377395262.881:487): arch=x86_64 syscall=open success=yes exit=ECHILD a0=1fe2a88 a1=441 a2=1b6 a3=238 items=0 ppid=18997 pid=19023 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=totem-video-thu exe=/usr/bin/totem-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: totem-video-thu,thumb_t,config_home_t,file,append

audit2allow

#============= thumb_t ==============
allow thumb_t config_home_t:file append;

audit2allow -R
require {
	type thumb_t;
}

#============= thumb_t ==============
gnome_manage_home_config(thumb_t)


Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.9-100.fc18.x86_64
type:           libreport
Comment 1 Lukas Vrabec 2013-08-26 08:24:03 EDT
Hi David, 

Could you give me some more info how this happen? I need to reproduce it.
Comment 2 Daniel Walsh 2013-08-26 15:40:18 EDT
David did you notice anything breaking or just this avc showed up?

Note You need to log in before you can comment on or make changes to this bug.